/*
 * public domain
 */

//#include "ultima/ultima4/game/item.h"

class Items;
typedef bool (Items::*IsInInventoryProc)(int item);
typedef void (Items::*InventoryActionProc)(int item);

typedef void (*DestroyAllCreaturesCallback)();
#define N_ITEMS 34
#define PACKED_STRUCT __attribute__((__packed__)) //Remove packing doesnt help too

enum Rune {
	RUNE_HONESTY      = 0x01,
	RUNE_COMPASSION   = 0x02,
	RUNE_VALOR        = 0x04,
	RUNE_JUSTICE      = 0x08,
	RUNE_SACRIFICE    = 0x10,
	RUNE_HONOR        = 0x20,
	RUNE_SPIRITUALITY = 0x40,
	RUNE_HUMILITY     = 0x80
};

#pragma pack(1) //Remove packing doesnt help too
struct ItemLocation {
	const char *_name;
	const char *_shortName;
	const char *_locationLabel;
	IsInInventoryProc _isItemInInventory;
	InventoryActionProc _putItemInInventory;
	InventoryActionProc _useItem;
	int _data;
	unsigned char _conditions;
} PACKED_STRUCT;
#pragma pack()



class Items {
private:

	static const ItemLocation ITEMS[N_ITEMS];
private:
	bool isRuneInInventory(int virt) {return false;}
	void putRuneInInventory(int virt) {}
};

const ItemLocation Items::ITEMS[N_ITEMS] = {
		{
			"the rune of Spirituality", nullptr, "spiritualityrune",
			&Items::isRuneInInventory, &Items::putRuneInInventory, nullptr, RUNE_SPIRITUALITY, 0
		},
		{
			"the rune of Humility", nullptr, "humilityrune",
			&Items::isRuneInInventory, &Items::putRuneInInventory, nullptr, RUNE_HUMILITY, 0
		}
};


#ifdef __SYMBIAN32__
int E32Main() {
#else
int main(int argc, char *argv[]) {
#endif
	Items *_items  = new Items();
	delete _items;
	return 0;
}
